Amazon Linux AMI:mysql51 (ALAS-2012-92)

low Nessus プラグイン ID 69699

概要

リモートのAmazon Linux AMIホストに、セキュリティ更新プログラムがありません。

説明

MySQL がレコードの削除後に HANDLER READ NEXT ステートメントを処理する方法に欠陥が見つかりました。認証されたリモートの攻撃者がこの欠陥を利用して、mysqld がクラッシュするようなリクエストを提供する可能性があります。
クラッシュ後に mysqld は自動的に再起動するので、問題は一時的なサービス拒否が発生するのみとなります。(CVE-2012-2102)

ソリューション

「yum update mysql51」を実行してシステムを更新してください。

関連情報

https://alas.aws.amazon.com/ALAS-2012-92.html

プラグインの詳細

深刻度: Low

ID: 69699

ファイル名: ala_ALAS-2012-92.nasl

バージョン: 1.5

タイプ: local

エージェント: unix

公開日: 2013/9/4

更新日: 2018/4/18

サポートされているセンサー: Frictionless Assessment Agent, Frictionless Assessment AWS, Nessus Agent

リスク情報

VPR

リスクファクター: Low

スコア: 3.6

CVSS v2

リスクファクター: Low

Base Score: 3.5

ベクトル: AV:N/AC:M/Au:S/C:N/I:N/A:P

脆弱性情報

CPE: p-cpe:/a:amazon:linux:mysql51, p-cpe:/a:amazon:linux:mysql51-bench, p-cpe:/a:amazon:linux:mysql51-common, p-cpe:/a:amazon:linux:mysql51-debuginfo, p-cpe:/a:amazon:linux:mysql51-devel, p-cpe:/a:amazon:linux:mysql51-embedded, p-cpe:/a:amazon:linux:mysql51-embedded-devel, p-cpe:/a:amazon:linux:mysql51-libs, p-cpe:/a:amazon:linux:mysql51-server, p-cpe:/a:amazon:linux:mysql51-test, cpe:/o:amazon:linux

必要な KB アイテム: Host/local_checks_enabled, Host/AmazonLinux/release, Host/AmazonLinux/rpm-list

パッチ公開日: 2012/7/5

参照情報

CVE: CVE-2012-2102

ALAS: 2012-92

RHSA: 2012:0874